# EncodingUtils.ExpandedResult (Crawler-commons 0.6-SNAPSHOT API)
Date: 2015-05-26

crawlercommons.fetcher

## Class EncodingUtils.ExpandedResult

- java.lang.Object
- - crawlercommons.fetcher.EncodingUtils.ExpandedResult

Enclosing class:
  EncodingUtils

    public static class EncodingUtils.ExpandedResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EncodingUtils.ExpandedResult(byte[] expanded, boolean isTruncated)`

### Method Summary

Methods
`byte[]` `getExpanded()`
`boolean` `isTruncated()`
`void` `setExpanded(byte[] expanded)`
`void` `setTruncated(boolean isTruncated)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncodingUtils.ExpandedResult

    public EncodingUtils.ExpandedResult(byte[] expanded,
                                boolean isTruncated)

### Method Detail

#### getExpanded

    public byte[] getExpanded()

#### setExpanded

    public void setExpanded(byte[] expanded)

#### isTruncated

    public boolean isTruncated()

#### setTruncated

    public void setTruncated(boolean isTruncated)